# Script to convert lat/long into British National Grid co-ordinates
#
# Usage: ll2bng.sh latitude longitude
#
# Will accept any lat/long input format accepted by proj.4 (decimal degrees, DDdMM.MMM or DDdMM'SS.SS")

COORD=`proj +proj=tmerc +ellps=airy +lat_0=49 +lon_0=-2 +x_0=400000 +y_0=-100000 +k=0.9996012717 << eof
$2 $1
eof
`
echo "TM Coords: "$COORD

python ~arsf/usr/bin/bnglookup.py $COORD
